Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 18 Dec 2020 07:20:15 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery URGENT
 
Hello,

I ordered tree lights and batteries and didn't receive them yet - should've received them 3 days ago according to your website and again can't follow up. I received a message 2 days ago that its out for delivery then another message that its ready for pick up. Called your store and confirmed that its for delivery and still didn’t receive anything. please check and let me know. order no. 8221803056. 

I honestly think you have the worst delivery and costumer service in kuwait. I need a response asap and not 2 weeks after the issue! 

iOS Version: 14.2
App Version: 9.2.6 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1889212